libmtp 1.1.23

Data Fields
LIBMTP_folder_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields
uint32_t | folder_id
uint32_t | parent_id
uint32_t | storage_id
char * | name
LIBMTP_folder_t * | sibling
LIBMTP_folder_t * | child

## Detailed Description

MTP Folder structure

## Field Documentation

## ◆ child

LIBMTP_folder_t* LIBMTP_folder_struct::child

Child folder or NULL if no children

Examples
  folders.c.

Referenced by LIBMTP_destroy_folder_t(), LIBMTP_Find_Folder(), and LIBMTP_Get_Folder_List_For_Storage().

## ◆ folder_id

uint32_t LIBMTP_folder_struct::folder_id

Unique folder ID

Examples
  folders.c.

Referenced by LIBMTP_Find_Folder(), LIBMTP_Get_Folder_List_For_Storage(), and LIBMTP_Set_Folder_Name().

## ◆ name

char* LIBMTP_folder_struct::name

Name of folder

Examples
  folders.c.

Referenced by LIBMTP_destroy_folder_t(), LIBMTP_Get_Folder_List_For_Storage(), and LIBMTP_Set_Folder_Name().

## ◆ parent_id

uint32_t LIBMTP_folder_struct::parent_id

ID of parent folder

Referenced by LIBMTP_Get_Folder_List_For_Storage().

## ◆ sibling

LIBMTP_folder_t* LIBMTP_folder_struct::sibling

Next folder at same level or NULL if no more

Examples
  folders.c.

Referenced by LIBMTP_destroy_folder_t(), LIBMTP_Find_Folder(), and LIBMTP_Get_Folder_List_For_Storage().

## ◆ storage_id

uint32_t LIBMTP_folder_struct::storage_id

ID of storage holding this folder

Referenced by LIBMTP_Get_Folder_List_For_Storage().

The documentation for this struct was generated from the following file:

- libmtp.h